> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenco Disponibili IPs Dedicati

> Elenco disponibile gestito dedicato IPs.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/dedicated-ips/available-options
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/available-options:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Elenco Disponibili IPs Dedicati
      description: Elenco disponibile gestito dedicato IPs.
      operationId: >-
        list_public_dedicated_ip_options_v1_public_accounts__account_id__dedicated_ips_available_options_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: asn
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Asn
        - in: query
          name: country_code
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country Code
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PublicDedicatedIpInventoryOption'
                title: >-
                  Response List Public Dedicated Ip Options V1 Public Accounts 
                  Account Id  Dedicated Ips Available Options Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpInventoryOption:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Numero di sistema autonomo per l'opzione
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Codice paese ISO per l'opzione
          title: Codice Paese
        id:
          description: Opzione inventario UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Indirizzi pubblici inclusi in questa opzione
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: Indirizzi IP
          type: array
        name:
          description: Nome dell'opzione di inventario visibile al cliente
          title: Nome
          type: string
      required:
        - id
        - name
      title: PublicDedicatedIpInventoryOption
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: Metadati di indirizzi pubblici dedicati-IP senza segnali di reputazione.
      properties:
        fcrdns_confirmed:
          default: false
          description: Se il reverse DNS confermato in avanti è stato superato
          title: Confermato Fcrdns
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Stato di salute attuale quando disponibile
          title: Integro
        ip:
          description: Indirizzo pubblico IP
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Invertire il nome host DNS quando configurato
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````